Bug 894663 - Review Request: nodejs-burrito - Wrap up expressions with a trace function while walking the AST
Summary: Review Request: nodejs-burrito - Wrap up expressions with a trace function wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 894722 910791
Blocks: 894662
TreeView+ depends on / blocked
 
Reported: 2013-01-13 00:18 UTC by T.C. Hollingsworth
Modified: 2013-05-04 00:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-25 13:53:37 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-13 00:18:57 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-burrito.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-burrito-0.2.12-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4863778
FAS username: patches

Burrito makes it easy to do crazy stuff with the javascript AST.

This is useful if you want to roll your own stack traces or build a code
coverage tool.

This package is part of the tap stack used to test many Node.js modules.

Please use nodejs-0.6.5-9 or later when building or using this package.

Comment 1 Jamie Nguyen 2013-02-11 23:58:30 UTC
You'll need to patch out the specific version dependencies:

$ cat nodejs-burrito-0.2.12-deps.patch 
diff -Naur a/package.json b/package.json
--- a/package.json
+++ b/package.json
@@ -25,8 +25,8 @@
         "test" : "tap test/*.js"
     },
     "dependencies" : {
-        "traverse" : "~0.5.1",
-        "uglify-js" : "~1.1.1"
+        "traverse" : ">=0.5.1",
+        "uglify-js" : ">=1.1.1"
     },
     "devDependencies" : {
         "tap" : "~0.2.5"

Comment 3 T.C. Hollingsworth 2013-02-13 15:34:24 UTC
This will need some more work to work with uglify-js1.

Comment 4 Jamie Nguyen 2013-02-17 12:57:25 UTC
The version of traverse in updates-testing is 0.6.3, and uglify-js1 is needed so these lines should be added:
  %nodejs_fixdep uglify-js '1.3.x'
  %nodejs_fixdep traverse '~0.5.2'

  ...

  ln -sf %{nodejs_sitelib}/uglify-js1 \
      %{buildroot}%{nodejs_sitelib}/burrito/node_modules/uglify-js

Comment 5 Jamie Nguyen 2013-02-17 13:11:31 UTC
Oops, obviously I meant this:
  %nodejs_fixdep uglify-js '1.3.x'
  %nodejs_fixdep traverse '~0.6.3'

Comment 6 T.C. Hollingsworth 2013-03-16 00:37:42 UTC
Sorry for the delay.  The deps are fixed now.

Spec: http://patches.fedorapeople.org/npm/nodejs-burrito.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-burrito-0.2.12-3.fc18.src.rpm

Comment 7 Jamie Nguyen 2013-03-16 06:39:18 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

BSD license requires a copy of the text, so include that in a separate LICENSE for now until upstream fix this.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text


[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

https://github.com/substack/node-burrito/issues/10


[!]: Rpmlint is run on all rpms the build produces.

nodejs-burrito.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript



===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 204800 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-burrito-0.2.12-3.fc18.noarch.rpm
nodejs-burrito.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
nodejs-burrito.noarch: W: only-non-binary-in-usr-lib
nodejs-burrito.noarch: W: dangling-symlink /usr/lib/node_modules/burrito/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-burrito.noarch: W: dangling-symlink /usr/lib/node_modules/burrito/node_modules/traverse /usr/lib/node_modules/traverse
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-burrito
nodejs-burrito.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
nodejs-burrito.noarch: W: only-non-binary-in-usr-lib
nodejs-burrito.noarch: W: dangling-symlink /usr/lib/node_modules/burrito/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-burrito.noarch: W: dangling-symlink /usr/lib/node_modules/burrito/node_modules/traverse /usr/lib/node_modules/traverse
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-burrito (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(traverse)
    npm(uglify-js)



Provides
--------
nodejs-burrito:
    nodejs-burrito
    npm(burrito)



MD5-sum check
-------------
http://registry.npmjs.org/burrito/-/burrito-0.2.12.tgz :
  CHECKSUM(SHA256) this package     : 64b3a130f47164b23e42417a51fcc038520ec742af15856e8abf1f6befcecb9b
  CHECKSUM(SHA256) upstream package : 64b3a130f47164b23e42417a51fcc038520ec742af15856e8abf1f6befcecb9b


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-burrito-0.2.12-3.fc18.src.rpm

Comment 8 T.C. Hollingsworth 2013-03-19 10:28:54 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-burrito.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-burrito-0.2.12-4.fc18.src.rpm

* Tue Mar 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-4
- include a LICENSE file
- fix typo in Description

Comment 9 Jamie Nguyen 2013-03-19 10:39:23 UTC
Great. Package approved!

Comment 10 T.C. Hollingsworth 2013-03-19 10:43:26 UTC
New Package SCM Request
=======================
Package Name: nodejs-burrito
Short Description: Wrap up expressions with a trace function while walking the AST
Owners: patches 
Branches: f18 f19 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-03-19 12:14:48 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-04-19 01:16:18 UTC
nodejs-bunker-0.1.2-2.fc19,nodejs-burrito-0.2.12-5.fc19,nodejs-runforcover-0.0.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-bunker-0.1.2-2.fc19,nodejs-burrito-0.2.12-5.fc19,nodejs-runforcover-0.0.2-3.fc19

Comment 13 Fedora Update System 2013-04-19 01:18:16 UTC
nodejs-bunker-0.1.2-2.fc18,nodejs-burrito-0.2.12-5.fc18,nodejs-runforcover-0.0.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-bunker-0.1.2-2.fc18,nodejs-burrito-0.2.12-5.fc18,nodejs-runforcover-0.0.2-3.fc18

Comment 14 Fedora Update System 2013-04-19 16:49:51 UTC
nodejs-bunker-0.1.2-2.fc19, nodejs-burrito-0.2.12-5.fc19, nodejs-runforcover-0.0.2-3.fc19 has been pushed to the Fedora 19 testing repository.

Comment 15 Fedora Update System 2013-04-25 13:53:40 UTC
nodejs-bunker-0.1.2-2.fc19, nodejs-burrito-0.2.12-5.fc19, nodejs-runforcover-0.0.2-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-05-04 00:02:30 UTC
nodejs-bunker-0.1.2-2.fc18, nodejs-burrito-0.2.12-5.fc18, nodejs-runforcover-0.0.2-3.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.